# PSF-LoginServer - master - net.psforever.objects.vital.base.DamageType
PSF - LoginServer - master - net.psforever.objects.vital.base.DamageType
Keywords: PSF LoginServer master net.psforever.objects.vital.base.DamageType

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
- DamageModifiers
- DamageReason
- DamageResolution
- DamageType

o

net.psforever.objects.vital.base

# DamageType

###

#### object DamageType extends Enumeration

An `Enumeration` of the damage types not only distinguishing damage being inflicted but, more importantly, what kind of resistance is brought to bare against that damage. For additional types exclusive to aggravation, refer to `Aura`.

Source
  DamageType.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageType
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val Aggravated: Value
5.  final val Direct: Value
6.  final val Lash: Value
7.  final val None: Value
8.  final val One: Value
9.  final val Radiation: Value
10.  final val Splash: Value
11.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
12.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
13.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
14.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
15.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def maxId: Int
    Definition Classes
      Enumeration
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
27.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
33.  def values: ValueSet
    Definition Classes
      Enumeration
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
37.  final def withName(s: String): Value
    Definition Classes
      Enumeration
38.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped